# gendb

Usage: gendb [options] <numseqs>

Description:

`gendb` generates the specified number of sequences using a Markov model. The sequence lengths are selected uniformly at random within the range specified by `--minseq` and `--maxseq`.

Input:

- None

Output:

- Writes the sequences in FASTA format to `stdout`.

Options:

- `--bfile <file>` - File containg a background model in background model format.
- `--seed <n>` - Seed for random number generator.
- `--minseq <n>` - Minimum sequence length. Default value: 50.
- `--maxseq <n>` - Maximum sequence length. Default value: 2000.
- `--order <n>` - Use Markov model of order `<n>`. Default value: the order of the background model if one is provided, otherwise 0.
- `--dummy` - Print a "dummy" sequence record before the generated sequences. The "dummy" sequence record is a a FASTA header line listing the `gendb` parameters but not followed by any sequence lines.
- `--type [0|1|2|3|4]` - The type of sequence to generate. Allowed types are:
  - 0 = protein (default)
  - 1 = DNA
  - 2 = codons
  - 3 = DNA without ambiguous characters
  - 4 = protein without ambigouous characters

Bugs: None known.

Author: Tim Bailey